Package: groovy.jmx.builder

## [Groovy] Class JmxClientConnectorFactory

- groovy.jmx.builder.JmxClientConnectorFactory

-     class JmxClientConnectorFactory
      extends AbstractFactory

  This is the factory for node JmxBuilder.connectorClient. A call to this node returns an instance of the JMXConnector interface.

       JmxBuilder.clientConnector (
          protocol:"rmi",
          host:"...",
          port:1099,
          url:"...",
       )

  See Also:
    JMXConnector

- - ### Constructor Summary

    Constructors
    Constructor and description
    `JmxClientConnectorFactory()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `Object` | `newInstance(FactoryBuilderSupport builder, Object nodeName, Object nodeArgs, Map nodeAttribs)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractFactory` | `isHandlesNodeChildren, isLeaf, onFactoryRegistration, onHandleNodeAttributes, onNodeChildren, onNodeCompleted, setChild, setParent`

- - ### Constructor Detail

    - #### JmxClientConnectorFactory()

  - ### Method Detail

    - #### Object newInstance(FactoryBuilderSupport builder, Object nodeName, Object nodeArgs, Map nodeAttribs)